package com.tanpu.community.api.beans.req.theme;


import com.tanpu.community.api.beans.req.page.Pageable;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class ThemeListReq {


    @NotNull(message = "主题类型不能为空")
    @ApiModelProperty(value = "类型，1：推荐 2：关注 3：话题-热门 4：话题-最新")
    public Integer type;

    @ApiModelProperty(value = "话题Id")
    public String topicId;

    @ApiModelProperty(value = "当前浏览的最后一个themeId,可以为空")
    public String lastId="";

    @NotNull(message = "分页")
    public Pageable page;

    public List<String> excludeIds;
}
